local  GameMode = Game:addState("GameMode")

function GameMode:enterState()
love.graphics.setFont(menuFont)
Game.menuChoice = 1
Game.height = love.graphics.getHeight()
Game.width = love.graphics.getWidth()
Game.modeSelectNames = {
"Named Set-137",
"Full",
"32K" ,
"4096" ,
"512" ,
"64" ,
}
end

function GameMode:update()
end

function GameMode:draw()
	if Game.menuChoice == 1 then 
		love.graphics.setColor(255,255,255)
	else
		love.graphics.setColor(128,128,128)
	end
		love.graphics.printf(Game.modeSelectNames[Game.modeSelect],0,Game.height/3-menuFontSize*2,Game.width,"center")
	if Game.menuChoice == 2 then 
		love.graphics.setColor(255,255,255)
	else
		love.graphics.setColor(128,128,128)
	end
		love.graphics.printf("Score",0,Game.height/3,Game.width,"center")
	if Game.menuChoice == 3 then 
		love.graphics.setColor(255,255,255)
	else
		love.graphics.setColor(128,128,128)
	end
		love.graphics.printf("Timed",0,Game.height/3+menuFontSize*2,Game.width,"center")
	if Game.menuChoice ==4 then 
		love.graphics.setColor(255,255,255)
	else
		love.graphics.setColor(128,128,128)
	end
love.graphics.printf("Precision",0,Game.height/3+menuFontSize*4,Game.width,"center")
love.graphics.setColor(255,255,255)
end

function GameMode:keypressed(key)
	if key == "escape" then
		love.event.push("q")
	end
	if key == "down" then
		Game.menuChoice = Game.menuChoice +1
		if Game.menuChoice > 3 then
			Game.menuChoice = 1
		end
	end
		if key == "up" then
	Game.menuChoice = Game.menuChoice -1
		if Game.menuChoice < 1 then
			Game.menuChoice = 3
		end
	end
	if key == "right"  and Game.menuChoice == 1 then
		Game.modeSelect = Game.modeSelect +1
		if Game.modeSelect > 6 then
			Game.modeSelect = 1
		end
	end
		if key == "left" and Game.menuChoice == 1  then
	Game.modeSelect = Game.modeSelect -1
		if Game.modeSelect < 1 then
			Game.modeSelect = 6
		end
	end
	if key == "return" then
		if Game.menuChoice == 4 then
			Game.scoreType = "Score"
			Game.stippling = true
			Game:gotoState('Play')
		elseif Game.menuChoice == 3 then
			Game.scoreType = "Timed"
			Game.stippling = true
			Game:gotoState('Play')
		elseif Game.menuChoice == 2 then
			Game.scoreType = "Precision"
			Game.stippling = false
			Game:gotoState('Play')
		end
	end
end

function GameMode:exitState()

end


